Skip to main content
GET
/
ai
/
threads
/
{thread_id}
Get thread
curl --request GET \
  --url https://api.wacht.dev/ai/threads/{thread_id} \
  --cookie __session=
{
  "status": 123,
  "message": "<string>",
  "session": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ],
  "data": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deployment_id": "<string>",
    "actor_id": "<string>",
    "project_id": "<string>",
    "project_name": "<string>",
    "agent_id": "<string>",
    "title": "<string>",
    "thread_purpose": "<string>",
    "responsibility": "<string>",
    "reusable": true,
    "accepts_assignments": true,
    "capability_tags": [
      "<string>"
    ],
    "last_activity_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "system_instructions": "<string>",
    "execution_state": {},
    "metadata": {},
    "archived_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

__session
string
cookie
required

Path Parameters

thread_id
string
required

Response

200 - application/json

Thread

status
integer
message
string
session
object
errors
object[]
data
object